tag {shiny} | R Documentation

## HTML Tag Object

### Description

`tag()` creates an HTML tag definition. Note that all of the valid HTML5 tags are already defined in the `tags` environment so these functions should only be used to generate additional tags. `tagAppendChild()` and `tagList()` are for supporting package authors who wish to create their own sets of tags; see the contents of bootstrap.R for examples.

### Usage

    tagList(...)

    tagAppendAttributes(tag, ...)

    tagAppendChild(tag, child)

    tagAppendChildren(tag, ..., list = NULL)

    tagSetChildren(tag, ..., list = NULL)

    tag(`_tag_name`, varArgs)

### Arguments

`_tag_name` | HTML tag name
`varArgs` | List of attributes and children of the element. Named list items become attributes, and unnamed list items become children. Valid children are tags, single-character character vectors (which become text nodes), and raw HTML (see `HTML`). You can also pass lists that contain tags, text nodes, and HTML.
`tag` | A tag to append child elements to.
`child` | A child element to append to a parent tag.
`...` | Unnamed items that comprise this list of tags.
`list` | An optional list of elements. Can be used with or instead of the `...` items.

### Value

An HTML tag object that can be rendered as HTML using `as.character()`.

### Examples

    tagList(tags$h1("Title"),
            tags$h2("Header text"),
            tags$p("Text here"))

    # Can also convert a regular list to a tagList (internal data structure isn't
    # exactly the same, but when rendered to HTML, the output is the same).
    x <- list(tags$h1("Title"),
              tags$h2("Header text"),
              tags$p("Text here"))
    tagList(x)

[Package shiny version 0.13.2 Index]